package cn.com.qmth.stmms.ms.admin.dto;

import java.io.Serializable;

import cn.com.qmth.stmms.ms.commons.utils.excel.ExcelProperty;

public class StudentDTO implements Serializable {

    private static final long serialVersionUID = -4556126416794102992L;

    private Long id;

    @ExcelProperty(index = 1, name = "准考证号", type = 2)
    private String examNumber;

    @ExcelProperty(index = 2, name = "姓名", type = 2)
    private String name;

    @ExcelProperty(index = 3, name = "考区名称", type = 2)
    private String areaName;

    @ExcelProperty(index = 4, name = "考区代码", type = 2)
    private String areaCode;

    @ExcelProperty(index = 5, name = "考场", type = 2)
    private String examRoom;

    @ExcelProperty(index = 6, name = "生源地", type = 2)
    private String sourceName;

    @ExcelProperty(index = 7, name = "学校", type = 2)
    private String school;


    private Long workId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public String getAreaCode() {
        return areaCode;
    }

    public void setAreaCode(String areaCode) {
        this.areaCode = areaCode;
    }

    public Long getWorkId() {
        return workId;
    }

    public void setWorkId(Long workId) {
        this.workId = workId;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getSchool() {
        return school;
    }

    public void setSchool(String school) {
        this.school = school;
    }
}
